# AgeGenderNet | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Class AgeGenderNet

#### Hierarchy

- NeuralNetwork < NetParams >
  - AgeGenderNet

- Defined in ageGenderNet/AgeGenderNet.ts:11

#####
Index

### Constructors

constructor

### Properties

_name

### Accessors

faceFeatureExtractor
isLoaded
paramMappings
params

### Methods

dispose
extractClassifierParams
extractWeights
forward
forwardInput
freeze
getFrozenParams
getParamFromPath
getParamList
getTrainableParams
load
loadClassifierParams
loadFromDisk
loadFromUri
loadFromWeightMap
predictAgeAndGender
reassignParamFromPath
runNet
serializeParams
variable

## Constructors

### constructor

- new AgeGenderNet(faceFeatureExtractor?: TinyXception): AgeGenderNet

- #### Parameters

  - ##### faceFeatureExtractor: TinyXception = ...

  #### Returns AgeGenderNet

  Overrides NeuralNetwork.constructor

  - Defined in ageGenderNet/AgeGenderNet.ts:14

## Properties

### _name

_name: any

Inherited from NeuralNetwork._name

- Defined in NeuralNetwork.ts:17

## Accessors

### faceFeatureExtractor

- get faceFeatureExtractor(): TinyXception

- #### Returns TinyXception

  - Defined in ageGenderNet/AgeGenderNet.ts:19

### isLoaded

- get isLoaded(): boolean

- #### Returns boolean

  Inherited from NeuralNetwork.isLoaded

  - Defined in NeuralNetwork.ts:23

### paramMappings

- get paramMappings(): ParamMapping[]

- #### Returns ParamMapping[]

  Inherited from NeuralNetwork.paramMappings

  - Defined in NeuralNetwork.ts:21

### params

- get params(): undefined | TNetParams

- #### Returns undefined | TNetParams

  Inherited from NeuralNetwork.params

  - Defined in NeuralNetwork.ts:19

## Methods

### dispose

- dispose(throwOnRedispose?: boolean): void

- #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

  Overrides NeuralNetwork.dispose

  - Defined in ageGenderNet/AgeGenderNet.ts:87

### extractClassifierParams

- extractClassifierParams(weights: Float32Array): {
  paramMappings: ParamMapping[];
  params: NetParams ;
  }

- #### Parameters

  - ##### weights: Float32Array

  #### Returns {
  paramMappings: ParamMapping[];
  params: NetParams ;
  }

  - ##### paramMappings: ParamMapping[]

  - ##### params: NetParams

  - Defined in ageGenderNet/AgeGenderNet.ts:98

### extractWeights

- extractWeights(weights: Float32Array): void

- #### Parameters

  - ##### weights: Float32Array

  #### Returns void

  Inherited from NeuralNetwork.extractWeights

  - Defined in NeuralNetwork.ts:118

### forward

- forward(input: any): Promise< NetOutput >

- #### Parameters

  - ##### input: any

  #### Returns Promise< NetOutput >

  - Defined in ageGenderNet/AgeGenderNet.ts:49

### forwardInput

- forwardInput(input: any): NetOutput

- #### Parameters

  - ##### input: any

  #### Returns NetOutput

  - Defined in ageGenderNet/AgeGenderNet.ts:42

### freeze

- freeze(): void

- #### Returns void

  Inherited from NeuralNetwork.freeze

  - Defined in NeuralNetwork.ts:57

### getFrozenParams

- getFrozenParams(): {
  path: string;
  tensor: Tensor;
  }[]

- #### Returns {
  path: string;
  tensor: Tensor;
  }[]

  Inherited from NeuralNetwork.getFrozenParams

  - Defined in NeuralNetwork.ts:47

### getParamFromPath

- getParamFromPath(paramPath: string): Tensor

- #### Parameters

  - ##### paramPath: string

  #### Returns Tensor

  Inherited from NeuralNetwork.getParamFromPath

  - Defined in NeuralNetwork.ts:25

### getParamList

- getParamList(): {
  path: string;
  tensor: Tensor;
  }[]

- #### Returns {
  path: string;
  tensor: Tensor;
  }[]

  Inherited from NeuralNetwork.getParamList

  - Defined in NeuralNetwork.ts:36

### getTrainableParams

- getTrainableParams(): {
  path: string;
  tensor: Tensor;
  }[]

- #### Returns {
  path: string;
  tensor: Tensor;
  }[]

  Inherited from NeuralNetwork.getTrainableParams

  - Defined in NeuralNetwork.ts:43

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

  Inherited from NeuralNetwork.load

  - Defined in NeuralNetwork.ts:83

### loadClassifierParams

- loadClassifierParams(weights: Float32Array): void

- #### Parameters

  - ##### weights: Float32Array

  #### Returns void

  - Defined in ageGenderNet/AgeGenderNet.ts:92

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

  Inherited from NeuralNetwork.loadFromDisk

  - Defined in NeuralNetwork.ts:99

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

  Inherited from NeuralNetwork.loadFromUri

  - Defined in NeuralNetwork.ts:91

### loadFromWeightMap

- loadFromWeightMap(weightMap: NamedTensorMap): void

- #### Parameters

  - ##### weightMap: NamedTensorMap

  #### Returns void

  Inherited from NeuralNetwork.loadFromWeightMap

  - Defined in NeuralNetwork.ts:112

### predictAgeAndGender

- predictAgeAndGender(input: any): Promise< AgeAndGenderPrediction | AgeAndGenderPrediction []>

- #### Parameters

  - ##### input: any

  #### Returns Promise< AgeAndGenderPrediction | AgeAndGenderPrediction []>

  - Defined in ageGenderNet/AgeGenderNet.ts:53

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: Tensor): void

- #### Parameters

  - ##### paramPath: string

  - ##### tensor: Tensor

  #### Returns void

  Inherited from NeuralNetwork.reassignParamFromPath

  - Defined in NeuralNetwork.ts:30

### runNet

- runNet(input: any): NetOutput

- #### Parameters

  - ##### input: any

  #### Returns NetOutput

  - Defined in ageGenderNet/AgeGenderNet.ts:23

### serializeParams

- serializeParams(): Float32Array

- #### Returns Float32Array

  Inherited from NeuralNetwork.serializeParams

  - Defined in NeuralNetwork.ts:75

### variable

- variable(): void

- #### Returns void

  Inherited from NeuralNetwork.variable

  - Defined in NeuralNetwork.ts:51